Bug 3542 - After moving a message to trash, claws selects the message above, not the one below
Summary: After moving a message to trash, claws selects the message above, not the one...
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: UI/Message List (show other bugs)
Version: 3.13.1
Hardware: PC Linux
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2015-10-19 14:21 CEST by pezcurrel
Modified: 2016-07-04 17:16 CEST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pezcurrel 2015-10-19 14:21:38 CEST
In the message list, after deleting a message or moving it to trash, claws selects the message above the one that has been deleted or moved, not the one below as would be expected and as it was in previous version. This is unconfortable.
Comment 1 Paul 2015-10-19 14:27:03 CEST
already resolved in git
Comment 2 pezcurrel 2015-12-24 18:29:08 CET
I'm reopening this bug changing version from 3.13.0 to 3.13.1 since I still have it on 3.13.1
Comment 3 pezcurrel 2015-12-24 18:55:42 CET
I've seen that in 3.13.1 ...

> * A hidden pref has been added, 'next_on_delete'. This controls the
>   message selection when a message is deleted. A setting of '0'
>   which cause the previous, older message to be selected, a setting
>   of '1' will cause the next, newer message to be selected.

... but it works only for deletion, not for "move to trash" and "move to another folder". I hope it will be implemented for those too.
Comment 4 mrccvrcc 2016-04-08 19:17:15 CEST
Hello,

Just want to verify that this problem still exists in version 3.13.2.

Also want to add that I've used many email programs over a many decades but claws-mail is the most efficient I've ever used. Kudos to the developers.

Cheers ...

Marek
Comment 5 Paul 2016-07-04 17:16:24 CEST
> ... but it works only for deletion, not for "move to trash" and "move to
> another folder". I hope it will be implemented for those too.

That is now implemented in GIT.